**STRUCT**

# `ProgressBar`

A progress bar widget.

## Properties
### `value`

The value.

## Methods
### `init(value:total:)`

Initialize a progress bar widget.
- Parameters:
    - value: The value.
    - total: The maximum value.

### `update(_:modifiers:)`

Update the view storage of the progress bar widget.
- Parameters:
    - storage: The view storage.
    - modifiers: Modify views before being updated.

### `container(modifiers:)`

Get the container of the progress bar widget.
- Returns: The view storage.
